# Memcached::append

(PECL memcached >= 0.1.0)

Memcached::append — Añadir datos a un ítem existente

### Descripción

public Memcached::append(string `$key`, string `$value`): bool

Memcached::append() añade el string dado por `value` al valor del ítem existente. La razón por la que se fuerza a `value` a ser un string es debido a que no está bien definida la adición de tipos mixtos.

> Nota:

> Si `Memcached::OPT_COMPRESSION` está activado, la operación fallará y se emitirá una advertencia, ya que no es posible añadir datos comprimidos a un valor que potencialmente ya está comprimido.

### Parámetros

`key`

  La clave en la que se guardará el valor.

`value`

  El string a añadir.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Memcached::getResultCode() devolverá `Memcached::RES_NOTSTORED` si la clave no existe.

### Ejemplos

Ejemplo #1 Ejemplo de Memcached::append()

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->append('foo', 'def');
var_dump($m->get('foo'));
?>`

El resultado del ejemplo sería:

    string(6) "abcdef"

### Ver también

- Memcached::appendByKey() - Añadir datos a un ítem existente en un servidor específico
- Memcached::prepend() - Anteponer datos a un ítem existente